
@import url('https://fonts.googleapis.com/css2?family=Urbanist:wght@600;700&display=swap');
@import url('https://fonts.cdnfonts.com/css/satoshi');

/*--------------------------------------------------------------
# Import
--------------------------------------------------------------*/

@import url('css/normalize.css');
@import url('css/base.css');
/*
@import url('style-content.css');
*/


:root {
	--text-gradient: linear-gradient(90deg, rgb(147, 176, 255) 0%, rgb(255, 255, 255) 95%);
	--dark: rgb(48, 48, 54);
	--light: rgb(249, 250, 250);
	--black: #000514;
	--text: var(--dark);
	--dark-bg-text: #B2E8CF;
	--white: #FFFFFF;
	--white-opacity: rgba(255, 255, 255, .5);
	--red: #FF0000;

	

	--main-color: var(--text);
	--primary-color: rgb(0, 79, 128);
	--second-color: rgb(13, 82, 242);
	--second-color-bg: rgba(13, 82, 242, 0.6);

	--drop-shadow: 0px 15px 35px rgba(36, 138, 71, 0.15);
	--border-radius: 3rem;
	--border-radius-small: 1.6rem;
	--transition-base: all .6s ease;

	--font-main: 'Satoshi', sans-serif;
	--font-header: 'Urbanist', sans-serif;

	--content-width: 1280px;
		--full-wrapper-indent: calc((100vw - var(--content-width)) / 2);
	--header-height: 7.8rem;
	--footer-height: 24rem;
}

.second-color {
	color: var(--second-color);
}
.nopadding {
	padding: 0 !important;
}

/* header  */
.site-header {
	padding-top: 2rem;
	padding-bottom: 2rem;
	-webkit-backdrop-filter: blur(11px);
    backdrop-filter: blur(11px);
	width: 100%;
	z-index: 100;
}
.site-header .wrapper {
	align-items: center;
}
.site-branding img {
	width: 6.8rem;
}

.site-footer {
	padding: 2.4rem 0 6rem;
}
.site-footer .wrapper {
	flex-direction: row;
	gap: 1rem;
}
.site-footer .site-branding img {
	opacity: .6;
}	
.site-footer .line {
	background: linear-gradient(90deg, rgb(0, 0, 0) 0%, rgba(0, 0, 0, 0) 100%);
	opacity: .3;
	height: 1px;
	flex-grow: 1;
}
.site-footer .line:last-of-type {
	background: linear-gradient(90deg, rgba(0, 0, 0, 0) 0%, rgb(0, 0, 0) 100%);
}
.copy {
	font-size: 1.4rem;
	color: rgb(161, 161, 170);
	margin: 2.4rem auto 0;
}

.first-screen {
	padding: 5rem 6rem;
}

.first-screen .content {
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
	gap: 2.6rem;
	max-width: 64rem;
}
.first-screen .content h1 {
	background-clip: text;
	-webkit-background-clip: text;
	color: transparent;
	background-image: radial-gradient(68.69333333333336% 92% at 50% 17.599999999999998%, rgb(38, 38, 42) 0%, rgba(0, 0, 0, 0.49) 100%);
}
.first-screen .content p {
	max-width: 53.7rem;
	font-weight: 500;
}

.circle {
	width: 30rem;
	height: 30rem;
	border-radius: 50%;
	position: absolute;
	left: 50%;
	top: 57%;
	transform: translate(-50%, -50%);
	filter: blur(32px);
	will-change: transform;
	z-index: -1;
	animation: rotate 6s linear infinite;
}

.circle.c1 {
	filter: blur(70px);
	background: conic-gradient(from 0deg at 50% 50%,#0048ff 0deg,rgb(47,0,255) 54.89161972682219deg,#00a6ff 106.69924423399361deg,#4797ff 162deg,#04f 252.00000000000003deg,rgb(0,255,208) 306.00000000000006deg,rgb(64,0,255) 360deg);
}
.circle.c2 {
	background: conic-gradient(from 0deg at 50% 50%,#ffffff 0deg,rgb(18,180,230) 180deg,rgb(76,105,252) 360deg);
}
.circle.c3 {
	mix-blend-mode: overlay;
	background: conic-gradient(from 0deg at 50% 50%,#a6efff 0deg,rgb(18,78,230) 180deg,rgb(76,132,252) 360deg);
}

@keyframes rotate {
    from {
        transform: translate(-50%, -50%) scale(.9) perspective(120rem) rotate(0deg);
    }
	50% {
		transform: translate(-50%, -50%) scale(1.1) perspective(120rem) rotate(180deg);
	}
    to {
        transform: translate(-50%, -50%) scale(.9) perspective(120rem) rotate(360deg);
    }
}
@keyframes rotateSkew {
    from {
        transform: translate(-50%, -50%) scale(.9) skewX(0deg) perspective(120rem) rotate(0deg);
    }
	50% {
		transform: translate(-50%, -50%) scale(1.1) skewX(10deg) perspective(120rem) rotate(180deg);
	}
    to {
        transform: translate(-50%, -50%) scale(.9) skewX(0deg) perspective(120rem) rotate(360deg);
    }
}

.card {
	border: rgba(0, 0, 0, .08) .1rem solid;
	border-radius: 2.4rem;
	background: linear-gradient(180deg,rgba(43,101,181,.04) 0%,rgba(43,101,181,.08) 100%);
	box-shadow: inset 0 2px 50px 1px #104bcb0d;
	position: relative;
}
.card .card {
	border-radius: 2rem;
	-webkit-backdrop-filter: blur(5px);
	backdrop-filter: blur(5px);
	box-shadow: inset 0 0 4px #5774b74d;
	padding: 3.2rem;
	max-width: 46rem;
	overflow: hidden;
}

.card .bubbles {
	opacity: .2;
}
.card .wpcf7 {
	position: relative;
	z-index: 1;
}

#chatbot {
	text-align: left;
	width: 100%;
}
#chatbot label {
	width: 100%;
}
#chatbot input {
	font-size: 12px;
}
#chatbot input.react-chatbot-kit-chat-input {
	font-size: 1.8rem;
	border: .1rem solid transparent;
}
.react-chatbot-kit-chat-header,
.react-chatbot-kit-chat-message-container,
.react-chatbot-kit-chat-input-container {
	background: transparent !important;
}

#chatbot .widget {
    width: inherit;
    max-width: 120rem;
	height: 80vh;
    height: 80dvh;
    min-height: 80vh;
}


section.form {
	padding: 0 6rem;
}
.form .wrapper {
	gap: 6rem;
}
.card .wrapper {
	padding: 6rem 4rem;
	display: none;
}
.card[data-step="1"] .step1 {
	display: flex;
}
.card[data-step="2"] .step2 {
	display: flex;
}
.card[data-step="3"] .step3 {
	display: flex;
	padding: 2rem;
}

.form h3 {
	max-width: 46rem;
	min-height: 8.7rem;
}

.typewrite-load {
	opacity: 0;
}

.loader {
	background-color: rgba(12, 12, 13, 0.05);
	border-radius: 2rem;
    box-shadow: rgba(87, 116, 183, 0.3) 0px 0px .4rem 0px inset;
	padding: 1.2rem;
	width: 100%;
}
.loader .wrap {
	background-color: rgba(255, 255, 255, 0.4);
    border-radius: 1rem;
    box-shadow: rgba(87, 116, 183, 0.3) 0px 0px .4rem 0px inset;
	height: 3.6rem;
	overflow: hidden;
}
.loader .wrap .bar {
	background-color: rgba(13, 82, 242, 0.8);
	box-shadow: rgba(255, 255, 255, 0.3) 0px 1px 2px 0px inset, rgb(7, 44, 131) 0px -2px 5px 0px inset;
	height: 100%;
	width: 0;
	animation: loader 3s linear 1s forwards; 
}

@keyframes loader {
	0% {
		width: 0;
	}
	100% {
		width: 100%;
	}
}

section.preice {
	padding: 12rem 0rem;
}
.preice h2 span {
	display: block;
}
.preice .bubbles {
	opacity: .5;
	transform: translateY(1rem);
}
.preice .bubbles .c1 {
	opacity: .64;
	animation: rotateSkew 6s linear infinite;
	background: conic-gradient(from 0deg at 50% 50%, rgb(183, 0, 255) 0deg, rgb(238, 0, 255) 54.8916deg, rgb(0, 166, 255) 106.699deg, rgb(71, 151, 255) 162deg, rgb(0, 68, 255) 252deg, rgb(0, 255, 166) 306deg, rgb(140, 0, 255) 360deg);
}
.preice .bubbles .c2 {
	background: conic-gradient(from 0deg at 50% 50%, rgb(255, 255, 255) 0deg, rgb(18, 180, 230) 180deg, rgb(99, 76, 252) 360deg);
}
.preice .bubbles .c3 {
	opacity: .64;
	animation: rotateSkew 6s linear infinite;
	background: conic-gradient(from 0deg at 50% 50%, rgb(166, 239, 255) 0deg, rgb(18, 173, 230) 180deg, rgb(76, 99, 252) 360deg);
}

.preice .content {
	position: relative;
	z-index: 1;
}

.entrance {
	transition: all 1s ease;
}
.entrance.bubbles {
	transition: all 3s ease-in !important;
	z-index: -1;
}
.first-screen .entrance {
	transition-duration: 1s;
	transition-delay: .5s;
}
[data-anim="fade"] {
	opacity: 0 !important;
}
[data-anim="fade-up"] {
	opacity: 0 !important;
	transform: translateY(-3rem) !important;
}
[data-anim="fade-down"] {
	opacity: 0 !important;
	transform: translateY(3rem) !important;
}
[data-anim="zoom"] {
	transform: scale(0) !important;
}

.typewrite {
	opacity: 0;
}

.error-404 {
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
}


/* Responsive
--------------------------------------------- */
@media (max-width: 1920px) {
	
}

@media (max-width: 1600px) {

}

@media (max-width: 1400px) {
	:root {
		--content-width: 100%;
	}
	.wrapper {
		padding-left: 4rem;
		padding-right: 4rem;
	}
}

@media (max-width: 1240px) {

}

@media (max-width: 1024px) {
	:root {
		--content-width: 100%;
	}
	.wrapper {
		padding-left: 4rem;
		padding-right: 4rem;
	}
}

@media (max-width: 960px) {

}

@media (max-width: 860px) {

}

@media (max-width: 768px) {
	html {
		font-size: 9px;
	}

	:root {
		--content-width: 64rem;
	}

	.twocol {
		width: 100% !important;
		flex: none;
	}

	section,
	.site-footer {
		padding: 4rem 0 !important;
	}
	.card:has(.card) {
		border-radius: 0;
		border-left: 0;
		border-top: 0;
	}
}

@media (max-width: 675px) {
	
}

@media (max-width: 576px) { 
	.bg-wrapper {
		top: 10rem;
	}

	.mobhide {
		display: none !important;
	}
	.mobshow,
	.tabletshow {
		display: flex !important;
	}

	.card .card {
		padding: 3rem 2rem;
	}
}

@media (max-width: 480px) { 

	html {
		font-size: 8px;
	}

	.wrapper {
		padding-left: 3.2rem;
		padding-right: 3.2rem;
	}

	#page h1 {
		font-size: 4.6rem;
	}
	#page h2,
	#page h3 {
		font-size: 3.6rem;
	}

	section {
		padding: 4.2rem 0 !important;
	}
	.card .wrapper {
		padding: 6rem 3rem;
		display: none;
	}

	.bubbles .c1,
	.bubbles .c2,
	.bubbles .c3 {
		width: 20rem;
		height: 20rem;
	}
}
@media (max-width: 360px) {
	.wrapper {
		padding-left: 3rem;
		padding-right: 3rem;
	}
	.card[data-step="3"] .step3 {
		padding: 2rem 0 !important;
	}
}


@media (orientation: portrait) {

}
